<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  let increment_step = () => (index=-1)

  let timecounter = setInterval(increment_step,1000)
  $: index<0 ? clearInterval(timecounter): null
  
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each points as light, u}
      <circle class={'darkRed'} cx={light} cy='40' r='10'></circle>
    {/each}
  </g>
</svg>

<style>
  .darkRed{
    fill: darkred;
    opacity: 1;
  }

  .brightRed{
    fill: darkred;
    opacity: 0.3;
  }

  .green{
    fill: darkgreen;
    opacity: 1;
  }
</style>
